package com.clicknect.android.sqlite.adapter;

import java.util.ArrayList;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.clicknect.android.sqlite.R;
import com.clicknect.android.sqlite.entry.FriendEntry;

public class FriendsListViewAdapter extends BaseAdapter {

	private Context context;
	private ArrayList<FriendEntry> entries;
	private FriendEntryHolder holder;
	
	public FriendsListViewAdapter(Context context, ArrayList<FriendEntry> entries) {
		this.context = context;
		this.entries = entries;
	}
	
	public ArrayList<FriendEntry> getEntries() {
		return entries;
	}

	public void setEntries(ArrayList<FriendEntry> entries) {
		this.entries = entries;
	}

	@Override
	public int getCount() {
		return entries.size();
	}

	@Override
	public Object getItem(int position) {
		return null;
	}

	@Override
	public long getItemId(int position) {
		return 0;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		// Create
		if ( convertView == null ) {
			convertView = LayoutInflater.from(context).inflate(R.layout.layout_friend_entry, null);
			holder = new FriendEntryHolder();
			holder.image = (ImageView) convertView.findViewById(R.id.friend_entry_image);
			holder.name = (TextView) convertView.findViewById(R.id.friend_entry_name);
			convertView.setTag(holder);
		} else {
			holder = (FriendEntryHolder) convertView.getTag();
		}
		
		// Assign
		holder.image.setVisibility(View.VISIBLE);
		holder.name.setText(entries.get(position).getFname()+" "+entries.get(position).getLname()+" ("+entries.get(position).getNickname()+")");
		
		// Return
		return convertView;
	}
	
	private class FriendEntryHolder {
		
		public ImageView image;
		public TextView name;
		
	}

}
