package com.clicknect.android.sqlite.db;

import java.util.ArrayList;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

import com.clicknect.android.sqlite.entry.FriendEntry;

public class FriendsDB {

	private FriendsDBHelper helper;
	private SQLiteDatabase db;
	
	public FriendsDB(Context context) {
		helper = new FriendsDBHelper(context);
		db = helper.getWritableDatabase();
	}
	
	public long insert(String fbID, String fname, String lname, String nickname) {
		ContentValues values = new ContentValues();
		values.put(FriendsDBHelper.TABLE_KEY_FBID, fbID);
		values.put(FriendsDBHelper.TABLE_KEY_FNAME, fname);
		values.put(FriendsDBHelper.TABLE_KEY_LNAME, lname);
		values.put(FriendsDBHelper.TABLE_KEY_NICKNAME, nickname);
		return (db.insert(FriendsDBHelper.TABLE_NAME, null, values));
	}
	
	public ArrayList<FriendEntry> selectAll() {
		ArrayList<FriendEntry> entries = new ArrayList<FriendEntry>();
		
		Cursor c = db.rawQuery("SELECT * FROM "+FriendsDBHelper.TABLE_NAME+" ORDER BY "+FriendsDBHelper.TABLE_KEY_ID+" DESC", new String[] { });
		
		c.moveToFirst();
		if ( c.getCount() != 0 ) {
			do {
				FriendEntry f = new FriendEntry();
				f.setId(c.getInt(c.getColumnIndex(FriendsDBHelper.TABLE_KEY_ID)));			
				f.setFbID(c.getString(c.getColumnIndex(FriendsDBHelper.TABLE_KEY_FBID)));
				f.setFname(c.getString(c.getColumnIndex(FriendsDBHelper.TABLE_KEY_FNAME)));
				f.setLname(c.getString(c.getColumnIndex(FriendsDBHelper.TABLE_KEY_LNAME)));
				f.setNickname(c.getString(c.getColumnIndex(FriendsDBHelper.TABLE_KEY_NICKNAME)));
				entries.add(f);			
			} while ( c.moveToNext() );
		}
		
		return entries;
	}
	
	public int deleteByID(int id) {
		return db.delete(FriendsDBHelper.TABLE_NAME, FriendsDBHelper.TABLE_KEY_ID+" = ?", new String[] { Integer.toString(id) });
	}
	
	public int deleteAll() {
		return db.delete(FriendsDBHelper.TABLE_NAME, FriendsDBHelper.TABLE_KEY_FNAME+" != ? ", new String[] { "" });
	}
	
}
