package com.clicknect.android.sqlite.db;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;

public class FriendsDBHelper extends SQLiteOpenHelper {

	public static int TABLE_VERSION = 1;
	public static String TABLE_NAME = "friends";
	
	public static String TABLE_KEY_ID = "id";
	public static String TABLE_KEY_FBID = "fbID";
	public static String TABLE_KEY_FNAME = "fname";
	public static String TABLE_KEY_LNAME = "lname";
	public static String TABLE_KEY_NICKNAME = "nickname";
	
	public static String TABLE_CREATE = "CREATE TABLE "+TABLE_NAME+" (" +
											""+TABLE_KEY_ID+" INTEGER PRIMARY KEY AUTOINCREMENT, " +
											""+TABLE_KEY_FBID+" TEXT(20), " +
											""+TABLE_KEY_FNAME+" TEXT (20), " +
											""+TABLE_KEY_LNAME+" TEXT (20), " +
											""+TABLE_KEY_NICKNAME+" TEXT (20) " +
										")";
	
	private String LOG_TAG = FriendsDBHelper.class.getSimpleName();
	
	public FriendsDBHelper(Context context) {
		super(context, TABLE_NAME, null, TABLE_VERSION);
	}

	@Override
	public void onCreate(SQLiteDatabase db) {
		db.execSQL(TABLE_CREATE);
	}

	@Override
	public void onUpgrade(SQLiteDatabase db, int from, int to) {
		db.execSQL("DROP TABLE "+TABLE_NAME);
		Log.w(LOG_TAG, "Upgrade table from "+from+" to "+to);
		onCreate(db);
	}
	
}
